# Uses of Interface
org.opensaml.xmlsec.encryption.MGF

Packages that use MGF
Package
Description
org.opensaml.xmlsec.encryption.impl
Implementations of the interfaces for XMLObjects that represent XML encryption types.

## Uses of MGF in org.opensaml.xmlsec.encryption.impl

Classes in org.opensaml.xmlsec.encryption.impl that implement MGF
Modifier and Type
Class
Description
`class`
`MGFImpl`
Abstract implementation of `MGF`.
Methods in org.opensaml.xmlsec.encryption.impl that return MGF
Modifier and Type
Method
Description
`MGF`
MGFBuilder.`buildObject()`
Builds an XMLObject using the default name and namespace information provided XML Encryption specifications.
`MGF`
MGFBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.